//
//  ELPeripheralModel.m
//  Elink
//
//  Created by iot_user on 2019/4/22.
//  Copyright © 2019 iot_iMac. All rights reserved.
//

#import "ELPeripheralModel.h"

@implementation ELPeripheralModel
-(void)setDeviceTypeData:(NSData *)deviceTypeData{
    _deviceTypeData = deviceTypeData;
}
//MARK:筛选设备
+(NSArray<ELPeripheralModel *> *)getDevicesWithPeripherals:(NSArray<__kindof ELPeripheralModel *> *)peripherals supportDeviceType:(ELSupportDeviceType)type{
    NSPredicate *predicate = [NSPredicate predicateWithFormat:@"deviceType == %ld",type];
    NSArray *devices = [peripherals filteredArrayUsingPredicate:predicate];
    return devices;
}
//MARK:筛选多个设备
+(NSArray<ELPeripheralModel *> *)getDevicesWithPeripherals:(NSArray<__kindof ELPeripheralModel *> *)peripherals supportDeviceTypes:(NSArray<NSNumber *> *)types{
    NSString *predicateStr;
    if (types.count == 0) {
        return peripherals;
    }
 
    for (NSNumber *num in types) {
        ELSupportDeviceType type = [num integerValue];
        if (predicateStr.length==0) {
            predicateStr = [NSString stringWithFormat:@"deviceType == %ld",type];
        }else{
            predicateStr = [NSString stringWithFormat:@"%@ or deviceType == %ld",predicateStr,type];
        }
    }

    NSPredicate *predicate = [NSPredicate predicateWithFormat:predicateStr];
    NSArray *devices = [peripherals filteredArrayUsingPredicate:predicate];
    return devices;
}

-(NSComparisonResult)compareRSSI:(ELPeripheralModel *)model{
    NSNumber *number1 = [NSNumber numberWithInteger:self.rssi];
    NSNumber *number2 = [NSNumber numberWithInteger:model.rssi];
    NSComparisonResult result = [number1 compare:number2];
    return result == NSOrderedAscending;//NSOrderedDescending
}
@end
